1. Stats
FORTNITE REST API
  • Check
    • Get Fortnite game status
      GET
  • News
    • Get Fortnite News
      GET
  • Security
    • Get a Bearer token
      POST
  • PVE
    • Get Fortnite PVE Info (storm, etc)
      GET
    • Get PVE Stat by given username
      GET
  • Stats
    • Get user's stats by user id
      GET
    • Get user's stats by username
      GET
  • Store
    • Get Fortnite Store
      GET
  • User
    • Get a user by username
      GET
  1. Stats

Get user's stats by user id

GET
/stats/id/{plateform}/{id}

Request

Path Params

Responses

🟢200JSON Object of user stats
application/json
Bodyapplication/json

🟠400Please precise a good platform: ps4/xb1/pc
🟠404User not found or not found on this plateform
🔴500Unexpected error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://skynewz-api-fortnite.herokuapp.com/api/stats/id//'
Response Response Example
200 - Example 1
{
    "group": {
        "duo": {
            "k/d": 0,
            "kills": 0,
            "killsPerMatch": "string",
            "killsPerMin": "string",
            "score": 0,
            "timePlayed": "string",
            "top10": 0,
            "top12": 0,
            "top25": 0,
            "top3": 0,
            "top5": 0,
            "top6": 0,
            "win%": 0,
            "wins": 0
        },
        "solo": {
            "k/d": 0,
            "kills": 0,
            "killsPerMatch": "string",
            "killsPerMin": "string",
            "score": 0,
            "timePlayed": "string",
            "top10": 0,
            "top12": 0,
            "top25": 0,
            "top3": 0,
            "top5": 0,
            "top6": 0,
            "win%": 0,
            "wins": 0
        },
        "squad": {
            "k/d": 0,
            "kills": 0,
            "killsPerMatch": "string",
            "killsPerMin": "string",
            "score": 0,
            "timePlayed": "string",
            "top10": 0,
            "top12": 0,
            "top25": 0,
            "top3": 0,
            "top5": 0,
            "top6": 0,
            "win%": 0,
            "wins": 0
        }
    },
    "info": {
        "accountId": 0,
        "plateform": "string",
        "username": "string"
    },
    "lifetimeStats": {
        "k/d": 0,
        "kills": 0,
        "killsPerMatch": "string",
        "killsPerMin": "string",
        "score": 0,
        "timePlayed": "string",
        "top10": 0,
        "top12": 0,
        "top25": 0,
        "top3": 0,
        "top5": 0,
        "top6": 0,
        "win%": 0,
        "wins": 0
    }
}
Modified at 2023-08-15 05:55:56
Previous
Get PVE Stat by given username
Next
Get user's stats by username
Built with